GET /repos/{owner}/{repo}/issues/comments
Operation ID: issues/list-comments-for-repo
Auth: bearer_token
Description
You can use the REST API to list comments on issues and pull requests for a repository. Every pull request is an issue, but not every issue is a pull request. By default, issue comments are ordered by ascending ID. This endpoint supports the following custom media types. For more information, see "[Media types](https://docs.github.com/rest/using-the-rest-api/getting-started-with-the-rest-api#media-types)." - **`application/vnd.github.raw+json`**: Returns the raw markdown body. Response will include `body`. This is the default if you do not pass any specific media type. - **`application/vnd.github.text+json`**: Returns a text only representation of the markdown body. Response will include `body_text`. - **`application/vnd.github.html+json`**: Returns HTML rendered from the body's markdown. Response will include `body_html`. - **`application/vnd.github.full+json`**: Returns raw, text, and HTML representations. Response will include `body`, `body_text`, and `body_html`.
Parameters (7)
(string, query, optional)
Either `asc` or `desc`. Ignored without the `sort` parameter.
Constraints: {'enum': ['asc', 'desc']}
(string, path, required)
The account owner of the repository. The name is not case sensitive.
(integer, query, optional, default: 1)
The page number of the results to fetch. For more information, see "[Using pagination in the REST API](https://docs.github.com/rest/using-the-rest-api/using-pagination-in-the-rest-api)."
(integer, query, optional, default: 30)
The number of results per page (max 100). For more information, see "[Using pagination in the REST API](https://docs.github.com/rest/using-the-rest-api/using-pagination-in-the-rest-api)."
(string, path, required)
The name of the repository without the `.git` extension. The name is not case sensitive.
(string, query, optional)
Only show results that were last updated after the given time. This is a timestamp in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format: `YYYY-MM-DDTHH:MM:SSZ`.
(string, query, optional, default: created)
The property to sort the results by.
Constraints: {'enum': ['created', 'updated']}
No probe data for this endpoint yet.